MembersExact member lookup by username

Exact member lookup by username

Share-by-handle: returns the member only if they're VISIBLE to me (visibility grant). You can't probe for the existence of an invisible username. Email isn't returned.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/members/resolve?username=John%20Doe" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "example_string",
  "name": "John Doe",
  "username": "John Doe",
  "image": "example_string",
  "color": "example_string",
  "emoji": "example_string"
}
GET
/api/v1/vaults/{code}/members/resolve
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Query Parameters

Responses

idstring
Required
namestring
Required
usernamestring
Required
imagestring
Required
colorstring
Required
emojistring
Required